<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [HTTPRequest](./puppeteer.httprequest.md) &gt; [abort](./puppeteer.httprequest.abort.md)

## HTTPRequest.abort() method

Aborts a request.

<b>Signature:</b>

```typescript
abort(errorCode?: ErrorCode): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  errorCode | [ErrorCode](./puppeteer.errorcode.md) | optional error code to provide. |

<b>Returns:</b>

Promise&lt;void&gt;

## Remarks

To use this, request interception should be enabled with [Page.setRequestInterception()](./puppeteer.page.setrequestinterception.md)<!-- -->. If it is not enabled, this method will throw an exception immediately.

